<template>
	<div class="flex flex-col">
		<el-dialog v-model="isShowInformation" title="我的信息" width="500" :before-close="handleCloseInformation">
			<el-form :model="userInformationInfo" ref="autoDialogFormRef" label-width="85">
				<el-row :gutter="20" class="form_Class">
					<el-col :span="12" class="note">
						<el-form-item label="用户ID" prop="name"> <el-input v-model="userInformationInfo.note" readonly></el-input> </el-form-item
					></el-col>
					<el-col :span="12" class="mb20">
						<el-form-item label="姓名" prop="real_name">
							<el-input v-model="userInformationInfo.real_name" readonly></el-input>
						</el-form-item>
					</el-col>
					<el-col :span="12" class="mb20">
						<el-form-item label="手机号" prop="phone">
							<el-input v-model="userInformationInfo.phone" readonly></el-input>
						</el-form-item>
					</el-col>
					<el-col :span="12" class="mb20"
						><el-form-item label="性别" prop="sex"> <el-input v-model="userInformationInfo.sex" readonly></el-input> </el-form-item
					></el-col>
					<el-col :span="24" class="mb20">
						<el-form-item label="部门" prop="part"> <el-input v-model="userInformationInfo.part" readonly></el-input> </el-form-item
					></el-col>

					<el-col :span="24" class="mb20">
						<el-form-item label="邮箱" prop="email">
							<el-input v-model="userInformationInfo.email" readonly />
						</el-form-item>
					</el-col>
				</el-row>
			</el-form>
		</el-dialog>
	</div>
</template>

<script setup lang="ts">
//#region ====================== 我的信息 ======================
import { onMounted, ref } from 'vue';
import { useUserInfo } from '/@/stores/userInfo';
import { accessSessionKey, handleNoAuth } from '/@/utils/request';
import { Local } from '/@/utils/storage';
import { userInfo } from '/@/stores/chatRoom';
const isShowInformation = defineModel({
	type: Boolean,
});
const userInformationInfo = ref({}) as any;
//关闭
const handleCloseInformation = () => {
	isShowInformation.value = false;
};
//#endregion
onMounted(async () => {
	if(!Local.get(accessSessionKey)){
		handleNoAuth()
		return;
	}
	userInformationInfo.value = userInfo.get();
});
</script>
<style scoped lang="scss"></style>
